### awaitable

The return type of a coroutine or asynchronous operation.

    template<
        typename T,
        typename Executor = any_io_executor>
    class awaitable

##### Types

Name | Description
--- | ---
executor_type | The executor type that will be used for the coroutine.
value_type | The type of the awaited value.

##### Member Functions

Name | Description
--- | ---
awaitable [constructor] | Default constructor. — Move constructor.
operator= | Move assignment.
valid | Checks if the awaitable refers to a future result.
~awaitable [destructor] | Destructor.

##### Requirements

Header: `asio/awaitable.hpp`

Convenience header: `asio.hpp`